Bug 325928 - Lock dockers
Summary: Lock dockers
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-12 16:01 UTC by omiya
Modified: 2014-05-21 10:22 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description omiya 2013-10-12 16:01:33 UTC
I use dockers stacked into tabs. I often accidentally drag out the tabs when I try to switch them, especially while using a stylus.

It would be nice to have the option to lock dockers just like the toolbars have.

Reproducible: Always
Comment 1 Halla Rempt 2014-05-21 08:30:53 UTC
Yes, this would be pretty useful. It's also not hard to do, either globally or per-dock.
Comment 2 Halla Rempt 2014-05-21 10:00:44 UTC
Git commit af814cc4fec7d4121a339b1b40a3f7e4fe3b6601 by Boudewijn Rempt.
Committed on 21/05/2014 at 09:59.
Pushed by rempt into branch 'master'.

Add a lock button to the dockers

Todo: remember the lock state between sessions

M  +76   -6    libs/widgets/KoDockWidgetTitleBar.cpp
M  +1    -0    libs/widgets/KoDockWidgetTitleBar.h
M  +11   -5    libs/widgets/KoDockWidgetTitleBar_p.h

http://commits.kde.org/calligra/af814cc4fec7d4121a339b1b40a3f7e4fe3b6601
Comment 3 Halla Rempt 2014-05-21 10:22:02 UTC
Git commit 15e381914d7b328207d367cc03789e85d785a1cc by Boudewijn Rempt.
Committed on 21/05/2014 at 10:21.
Pushed by rempt into branch 'master'.

Remember the lock state of the dockers

Now we just need some pretty lock/unlock icons of the right size!
CCMAIL:kimageshop@kde.org

M  +6    -0    libs/main/KoMainWindow.cpp
M  +10   -0    libs/widgets/KoDockWidgetTitleBar.cpp
M  +1    -1    libs/widgets/KoDockWidgetTitleBar.h

http://commits.kde.org/calligra/15e381914d7b328207d367cc03789e85d785a1cc